/*
 * Copyright (c) 2008 Institute of Computing Technology of Chinese Academy of Sciences and Telefónica Investigación y Desarrollo SAU.
 * All rights reserved.
 *
 * This file is part of Linux-XOS-VOsupport, which is part of XtreemOS,
 * a Linux-based Grid Operating System, see <http://www.xtreemos.eu> for more details.
 * The XtreemOS project has been developed with the financial support of the European
 * Commission's IST program under contract #FP6-033576.
 *
 * Linux-XOS-VOsupport is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software Foundation,
 * either version 2 of the License, or (at your option) any later version.
 *
 * Linux-XOS-VOsupport is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with LinuxMD-XOS.
 * If not, see <http://www.gnu.org/licenses/>.
 *
 * */

/** @file xos.h
 * @brief head of all the xos project.
 */
#ifndef _XOS_H_
#define _XOS_H_
/*
 *  Put the common predefinition here
 */

/** Maximal length of buffer used in AMS */
#define DATAFIELD_MAXLEN       	1024
/** Maximal length of packet used in AMS */
#define AMS_PACKAGE_MAXLEN  	8192

/** The default location of all configuration */
#define	DB_DEFAULT_DIR		"/etc/xos/nss_pam/"
/** the defult location of temporary files */
#define DB_DEFAULT_TMP_DIR	"/etc/xos/nss_pam/mapdata/"

/** Maximal length of buffer */
#define BUFFERSIZE		2048

/** Location and file name of PAM configure */
#define PAM_CONF		"/etc/xos/nss_pam/pam_xos.conf"
/** Location and file name of NSS configure */
#define NSS_CONF		"/etc/xos/nss_pam/nss_xos.conf"
/** the local quota configuration file */
#define LOCAL_QUOTA_CONF	"/etc/xos/nss_pam/mapdata/quota.conf"

#endif
